Index: admin/categories.php
===================================================================
--- admin/categories.php	(revision 2189)
+++ admin/categories.php	(revision 2256)
@@ -78,5 +78,6 @@
 	}
 
-	http::redirect('categories.php?reord=1');
+	dcPage::addSuccessNotice(__('Categories have been successfully reordered.'));
+	http::redirect('categories.php');
 }
 
@@ -87,5 +88,5 @@
 	{
 		$core->blog->resetCategoriesOrder();
-		dcPage::addSuccessNotice(__('Categories have been successfully reordered.'));
+		dcPage::addSuccessNotice(__('Categories order has been successfully reset.'));
 		http::redirect('categories.php');
 	}
Index: admin/comment.php
===================================================================
--- admin/comment.php	(revision 2166)
+++ admin/comment.php	(revision 2256)
@@ -57,5 +57,6 @@
 		$core->callBehavior('adminAfterCommentCreate',$cur,$comment_id);
 		
-		http::redirect($core->getPostAdminURL($rs->post_type,$rs->post_id,false).'&co=1&creaco=1');
+		dcPage::addSuccessNotice(__('Comment has been successfully created.'));
+		http::redirect($core->getPostAdminURL($rs->post_type,$rs->post_id,false).'&co=1');
 	} catch (Exception $e) {
 		$core->error->add($e->getMessage());
@@ -131,5 +132,6 @@
 			$core->callBehavior('adminAfterCommentUpdate',$cur,$comment_id);
 			
-			http::redirect('comment.php?id='.$comment_id.'&upd=1');
+			dcPage::addSuccessNotice(__('Comment has been successfully updated.'));
+			http::redirect('comment.php?id='.$comment_id);
 		}
 		catch (Exception $e)
@@ -146,5 +148,7 @@
 			
 			$core->blog->delComment($comment_id);
-			http::redirect($core->getPostAdminURL($rs->post_type,$rs->post_id).'&co=1#c'.$comment_id,false);
+			
+			dcPage::addSuccessNotice(__('Comment has been successfully deleted.'));
+			http::redirect($core->getPostAdminURL($rs->post_type,$rs->post_id).'&co=1',false);
 		} catch (Exception $e) {
 			$core->error->add($e->getMessage());
Index: admin/langs.php
===================================================================
--- admin/langs.php	(revision 2166)
+++ admin/langs.php	(revision 2256)
@@ -49,5 +49,6 @@
 		}
 		
-		http::redirect('langs.php?removed=1');
+		dcPage::addSuccessNotice(__('Language has been successfully deleted.'));
+		http::redirect('langs.php');
 	}
 	catch (Exception $e)
@@ -87,5 +88,10 @@
 		
 		@unlink($dest);
-		http::redirect('langs.php?added='.$ret_code);
+		if ($ret_code == 2) {
+			dcPage::addSuccessNotice( __('Language has been successfully upgraded'));
+		} else {
+			dcPage::addSuccessNotice($__('Language has been successfully installed.'));
+		}
+		http::redirect('langs.php');
 	}
 	catch (Exception $e)
@@ -118,5 +124,10 @@
 		
 		@unlink($dest);
-		http::redirect('langs.php?added='.$ret_code);
+		if ($ret_code == 2) {
+			dcPage::addSuccessNotice( __('Language has been successfully upgraded'));
+		} else {
+			dcPage::addSuccessNotice($__('Language has been successfully installed.'));
+		}
+		http::redirect('langs.php');
 	}
 	catch (Exception $e)
Index: admin/media.php
===================================================================
--- admin/media.php	(revision 2228)
+++ admin/media.php	(revision 2256)
@@ -129,5 +129,9 @@
 	try {
 		$core->media->makeDir($_POST['newdir']);
-		http::redirect($page_url.'&d='.rawurlencode($d).'&mkdok=1');
+		dcPage::addSuccessNotice(sprintf(
+			__('Directory "%s" has been successfully created.'),
+			html::escapeHTML($_POST['newdir']))
+		);
+		http::redirect($page_url.'&d='.rawurlencode($d));
 	} catch (Exception $e) {
 		$core->error->add($e->getMessage());
@@ -173,5 +177,7 @@
 
 			$core->media->uploadFile($upfile['tmp_name'], $upfile['name'], $f_title, $f_private);
-			http::redirect($page_url.'&d='.rawurlencode($d).'&upok=1');
+
+			dcPage::addSuccessNotice(__('Files have been successfully uploaded.'));
+			http::redirect($page_url.'&d='.rawurlencode($d));
 		} catch (Exception $e) {
 			$core->error->add($e->getMessage());
@@ -207,5 +213,7 @@
 	try {
 		$core->media->removeItem($_POST['remove']);
-		http::redirect($page_url.'&d='.rawurlencode($d).'&rmfok=1');
+
+		dcPage::addSuccessNotice(__('File has been successfully removed.'));
+		http::redirect($page_url.'&d='.rawurlencode($d));
 	} catch (Exception $e) {
 		$core->error->add($e->getMessage());
@@ -218,5 +226,10 @@
 	try {
 		$core->media->rebuild($d);
-		http::redirect($page_url.'&d='.rawurlencode($d).'&rebuildok=1');
+
+		dcPage::success(sprintf(
+			__('Directory "%s" has been successfully rebuilt.'),
+			html::escapeHTML($d))
+		);
+		http::redirect($page_url.'&d='.rawurlencode($d));
 	} catch (Exception $e) {
 		$core->error->add($e->getMessage());
Index: admin/media_item.php
===================================================================
--- admin/media_item.php	(revision 2211)
+++ admin/media_item.php	(revision 2256)
@@ -81,5 +81,7 @@
 		files::uploadStatus($_FILES['upfile']);
 		$core->media->uploadFile($_FILES['upfile']['tmp_name'],$file->basename,null,false,true);
-		http::redirect($page_url.'&id='.$id.'&fupl=1');
+
+		dcPage::addSuccessNotice(__('File has been successfully updated.'));
+		http::redirect($page_url.'&id='.$id);
 	} catch (Exception $e) {
 		$core->error->add($e->getMessage());
@@ -108,5 +110,7 @@
 	try {
 		$core->media->updateFile($file,$newFile);
-		http::redirect($page_url.'&id='.$id.'&fupd=1&tab=media-details-tab');
+
+		dcPage::addSuccessNotice(__('File has been successfully updated.'));
+		http::redirect($page_url.'&id='.$id.'&tab=media-details-tab');
 	} catch (Exception $e) {
 		$core->error->add($e->getMessage());
@@ -120,5 +124,7 @@
 		$foo = null;
 		$core->media->mediaFireRecreateEvent($file);
-		http::redirect($page_url.'&id='.$id.'&thumbupd=1&tab=media-details-tab');
+		
+		dcPage::addSuccessNotice(__('Thumbnails have been successfully updated.'));
+		http::redirect($page_url.'&id='.$id.'&tab=media-details-tab');
 	} catch (Exception $e) {
 		$core->error->add($e->getMessage());
@@ -131,5 +137,7 @@
 	try {
 		$unzip_dir = $core->media->inflateZipFile($file,$_POST['inflate_mode'] == 'new');
-		http::redirect($media_page_url.'&d='.$unzip_dir.'&unzipok=1');
+		
+		dcPage::addSuccessNotice(__('Zip file has been successfully extracted.'));
+		http::redirect($media_page_url.'&d='.$unzip_dir);
 	} catch (Exception $e) {
 		$core->error->add($e->getMessage());
@@ -154,5 +162,7 @@
 		$core->blog->settings->system->put('media_img_default_link',($_POST['pref_insertion'] == 'link'));
 	}
-	http::redirect($page_url.'&id='.$id.'&blogprefupd=1');
+	
+	dcPage::addSuccessNotice(__('Default media insertion settings have been successfully updated.'));
+	http::redirect($page_url.'&id='.$id);
 }
 
Index: admin/plugins.php
===================================================================
--- admin/plugins.php	(revision 2166)
+++ admin/plugins.php	(revision 2256)
@@ -61,6 +61,7 @@
 				$core->plugins->deleteModule($plugin_id,true);
 			}
-			
-			http::redirect('plugins.php?removed=1');
+
+			dcPage::addSuccessNotice(__('Plugin has been successfully deleted.'));
+			http::redirect('plugins.php');
 		}
 		catch (Exception $e)
@@ -173,6 +174,10 @@
 			# --BEHAVIOR-- pluginAfterAdd
 			$core->callBehavior('pluginsAfterAdd', $plugin_id);
-			
-			http::redirect('plugins.php?added='.$ret_code);
+			if ($ret_code == 2) {
+				dcPage::addSuccessNotice(__('Plugin has been successfully upgraded'));
+			} else {
+				dcPage::addSuccessNotice(__('Plugin has been successfully installed.'));
+			}
+			http::redirect('plugins.php');
 		}
 		catch (Exception $e)
Index: admin/post.php
===================================================================
--- admin/post.php	(revision 2225)
+++ admin/post.php	(revision 2256)
@@ -173,5 +173,6 @@
 		
 		if (!$core->error->flag()) {
-			http::redirect('post.php?id='.$post_id.'&tbsent=1&tb=1');
+			dcPage::addSuccessNotice(__('All pings sent.'));
+			http::redirect('post.php?id='.$post_id.'&tb=1');
 		}
 	}
@@ -319,6 +320,7 @@
 			# --BEHAVIOR-- adminAfterPostCreate
 			$core->callBehavior('adminAfterPostCreate',$cur,$return_id);
-			
-			http::redirect('post.php?id='.$return_id.'&crea=1');
+
+			dcPage::addSuccessNotice(__('Entry has been successfully created.'));
+			http::redirect('post.php?id='.$return_id);
 		}
 		catch (Exception $e)
Index: admin/post_media.php
===================================================================
--- admin/post_media.php	(revision 1537)
+++ admin/post_media.php	(revision 2256)
@@ -51,5 +51,7 @@
 	{
 		$core->media->removePostMedia($post_id,$media_id);
-		http::redirect($core->getPostAdminURL($rs->post_type,$post_id,false).'&rmattach=1');
+		
+		dcPage::addSuccessNotice(__('Attachment has been successfully removed.'));
+		http::redirect($core->getPostAdminURL($rs->post_type,$post_id,false));
 	}
 	elseif (isset($_POST['post_id'])) {
Index: admin/preferences.php
===================================================================
--- admin/preferences.php	(revision 2229)
+++ admin/preferences.php	(revision 2256)
@@ -123,5 +123,7 @@
 		$core->callBehavior('adminAfterUserProfileUpdate',$cur,$core->auth->userID());
 		
-		http::redirect('preferences.php?upd=1');
+		dcPage::addSuccessNotice(__('Personal information has been successfully updated.'));
+
+		http::redirect('preferences.php');
 	}
 	catch (Exception $e)
@@ -175,5 +177,6 @@
 		$core->callBehavior('adminAfterUserOptionsUpdate',$cur,$core->auth->userID());
 		
-		http::redirect('preferences.php?updated=1');
+		dcPage::addSuccessNotice(__('Personal options has been successfully updated.'));
+		http::redirect('preferences.php');
 	}
 	catch (Exception $e)
@@ -200,5 +203,6 @@
 		$core->callBehavior('adminAfterDashboardOptionsUpdate',$core->auth->userID());
 		
-		http::redirect('preferences.php?db-updated=1');
+		dcPage::addSuccessNotice(__('Dashboard options has been successfully updated.'));
+		http::redirect('preferences.php');
 	}
 	catch (Exception $e)
@@ -225,5 +229,6 @@
 
 		if (!$core->error->flag()) {
-			http::redirect('preferences.php?append=1');
+			dcPage::addSuccessNotice(__('Favorites have been successfully added.'));
+			http::redirect('preferences.php');
 		}
 	} catch (Exception $e) {
@@ -251,5 +256,6 @@
 		$core->favs->setFavoriteIDs(array_keys($user_fav_ids),false);
 		if (!$core->error->flag()) {
-			http::redirect('preferences.php?removed=1');
+			dcPage::addSuccessNotice(__('Favorites have been successfully removed.'));
+			http::redirect('preferences.php');
 		}
 	} catch (Exception $e) {
@@ -277,5 +283,6 @@
 	$core->favs->setFavoriteIDs($order,false);
 	if (!$core->error->flag()) {
-		http::redirect('preferences.php?&neworder=1');
+		dcPage::addSuccessNotice(__('Favorites have been successfully updated.'));
+		http::redirect('preferences.php');
 	}
 }
@@ -287,5 +294,6 @@
 
 	if (!$core->error->flag()) {
-		http::redirect('preferences.php?&replaced=1');
+		dcPage::addSuccessNotice(__('Default favorites have been successfully updated.'));
+		http::redirect('preferences.php');
 	}
 }
Index: admin/user.php
===================================================================
--- admin/user.php	(revision 2166)
+++ admin/user.php	(revision 2256)
@@ -130,5 +130,6 @@
 			}
 			
-			http::redirect('user.php?id='.$new_id.'&upd=1');
+			dcPage::addSuccessNotice(__('User has been successfully updated.'));
+			http::redirect('user.php?id='.$new_id);
 		}
 		# Add user
@@ -147,8 +148,9 @@
 			$core->callBehavior('adminAfterUserCreate',$cur,$new_id);
 			
+			dcPage::addSuccessNotice(__('User has been successfully created.'));
 			if (!empty($_POST['saveplus'])) {
-				http::redirect('user.php?add=1');
+				http::redirect('user.php');
 			} else {
-				http::redirect('user.php?id='.$new_id.'&add=1');
+				http::redirect('user.php?id='.$new_id);
 			}
 		}
Index: admin/users_actions.php
===================================================================
--- admin/users_actions.php	(revision 2212)
+++ admin/users_actions.php	(revision 2256)
@@ -86,5 +86,6 @@
 		}
 		if (!$core->error->flag()) {
-			http::redirect($redir.'&del=1');
+			dcPage::addSuccessNotice(__('User has been successfully deleted.'));
+			http::redirect($redir);
 		}
 	}
@@ -124,5 +125,6 @@
 		}
 		if (!$core->error->flag()) {
-			http::redirect($redir.'&upd=1');
+			dcPage::addSuccessNotice(__('User has been successfully updated.'));
+			http::redirect($redir);
 		}
 	}
Index: inc/admin/actions/class.dcactioncomments.php
===================================================================
--- inc/admin/actions/class.dcactioncomments.php	(revision 2169)
+++ inc/admin/actions/class.dcactioncomments.php	(revision 2256)
@@ -149,5 +149,7 @@
 		
 		$core->blog->updCommentsStatus($co_ids,$status);
-		$ap->redirect(true,array('upd'=>1));
+
+		dcPage::addSuccessNotice(__('Selected comments have been successfully updated.'));
+		$ap->redirect(true);
 	}
 
@@ -168,5 +170,6 @@
 		
 		$core->blog->delComments($co_ids);
-		$ap->redirect(false,array('del'=>1));
+		dcPage::addSuccessNotice(__('Selected comments have been successfully deleted.'));
+		$ap->redirect(false);
 	}
 }
Index: plugins/aboutConfig/index.php
===================================================================
--- plugins/aboutConfig/index.php	(revision 2253)
+++ plugins/aboutConfig/index.php	(revision 2256)
@@ -37,6 +37,7 @@
 			$core->blog->triggerBlog();
 		}
-		
-		http::redirect($p_url.'&upd=1');
+
+		dcPage::addSuccessNotice(__('Configuration successfully updated'));
+		http::redirect($p_url);
 	}
 	catch (Exception $e)
@@ -62,5 +63,6 @@
 		}
 		
-		http::redirect($p_url.'&upd=1&part=global');
+		dcPage::addSuccessNotice(__('Configuration successfully updated'));
+		http::redirect($p_url.'&part=global');
 	}
 	catch (Exception $e)
@@ -120,12 +122,6 @@
 		html::escapeHTML($core->blog->name) => '',
 		__('about:config') => ''
-	));
-if (!empty($_GET['upd'])) {
-	dcPage::success(__('Configuration successfully updated'));
-}
-
-if (!empty($_GET['upda'])) {
-	dcPage::success(__('Settings definition successfully updated'));
-}
+	)).
+	dcPage::notices();
 ?>
 
Index: plugins/antispam/index.php
===================================================================
--- plugins/antispam/index.php	(revision 2166)
+++ plugins/antispam/index.php	(revision 2256)
@@ -43,5 +43,7 @@
 
 		dcAntispam::delAllSpam($core,$ts);
-		http::redirect($p_url.'&del=1');
+
+		dcPage::addSuccessNotice(__('Spam comments have been successfully deleted.'));
+		http::redirect($p_url);
 	}
 
@@ -89,5 +91,7 @@
 
 		dcAntispam::$filters->saveFilterOpts($filters_opt);
-		http::redirect($p_url.'&upd=1');
+
+		dcPage::addSuccessNotice(__('Filters configuration has been successfully saved.'));
+		http::redirect($p_url);
 	}
 }
@@ -128,5 +132,6 @@
 			$page_name => $p_url,
 			sprintf(__('%s filter configuration'),$filter->name) => ''
-		));
+		)).
+		dcPage::notices();
 
 	echo '<p><a href="plugin.php?p=antispam" class="back">'.__('Back to filters list').'</a></p>';
@@ -140,5 +145,6 @@
 			__('Plugins') => '',
 			$page_name => ''
-		));
+		)).
+		dcPage::notices();
 
 	# Information
@@ -150,8 +156,4 @@
 	'<form action="'.$p_url.'" method="post" class="fieldset">'.
 	'<h3>'.__('Information').'</h3>';
-
-	if (!empty($_GET['del'])) {
-		dcPage::success(__('Spam comments have been successfully deleted.'));
-	}
 
 	echo
Index: plugins/blogroll/edit.php
===================================================================
--- plugins/blogroll/edit.php	(revision 2166)
+++ plugins/blogroll/edit.php	(revision 2256)
@@ -68,5 +68,6 @@
 	try {
 		$blogroll->updateLink($id,$link_title,$link_href,$link_desc,$link_lang,trim($link_xfn));
-		http::redirect($p_url.'&edit=1&id='.$id.'&upd=1');
+		dcPage::addSuccessNotice(__('Link has been successfully updated'));
+		http::redirect($p_url.'&edit=1&id='.$id);
 	} catch (Exception $e) {
 		$core->error->add($e->getMessage());
@@ -82,5 +83,6 @@
 	try {
 		$blogroll->updateCategory($id,$link_desc);
-		http::redirect($p_url.'&edit=1&id='.$id.'&upd=1');
+		dcPage::addSuccessNotice(__('Category has been successfully updated'));
+		http::redirect($p_url.'&edit=1&id='.$id);
 	} catch (Exception $e) {
 		$core->error->add($e->getMessage());
@@ -100,5 +102,6 @@
 			html::escapeHTML($core->blog->name) => '',
 			__('Blogroll') => $p_url
-		));
+		)).
+		dcPage::notices();
 ?>
 
@@ -108,8 +111,4 @@
 if (isset($rs) && $rs->is_cat)
 {
-	if (!empty($_GET['upd'])) {
-		dcPage::success(__('Category has been successfully updated'));
-	}
-	
 	echo
 	'<form action="'.$p_url.'" method="post">'.
@@ -127,8 +126,5 @@
 if (isset($rs) && !$rs->is_cat)
 {
-	if (!empty($_GET['upd'])) {
-		dcPage::success(__('Link has been successfully updated'));
-	}
-	
+
 	echo
 	'<form action="plugin.php" method="post" class="two-cols fieldset">'.
Index: plugins/blogroll/index.php
===================================================================
--- plugins/blogroll/index.php	(revision 2208)
+++ plugins/blogroll/index.php	(revision 2256)
@@ -69,5 +69,7 @@
 		}
 	}
-	http::redirect($p_url.'&importlinks=1');	
+	
+	dcPage::addSuccessNotice(__('links have been successfully imported.'));
+	http::redirect($p_url);	
 }
 
@@ -87,5 +89,7 @@
 	try {
 		$blogroll->addLink($link_title,$link_href,$link_desc,$link_lang);
-		http::redirect($p_url.'&addlink=1');
+
+		dcPage::addSuccessNotice(__('Link has been successfully created.'));
+		http::redirect($p_url);
 	} catch (Exception $e) {
 		$core->error->add($e->getMessage());
@@ -101,5 +105,6 @@
 	try {
 		$blogroll->addCategory($cat_title);
-		http::redirect($p_url.'&addcat=1');
+		dcPage::addSuccessNotice(__('category has been successfully created.'));
+		http::redirect($p_url);
 	} catch (Exception $e) {
 		$core->error->add($e->getMessage());
@@ -121,5 +126,6 @@
 	
 	if (!$core->error->flag()) {
-		http::redirect($p_url.'&removed=1');
+		dcPage::addSuccessNotice(__('Items have been successfully removed.'));
+		http::redirect($p_url);
 	}
 }
@@ -148,5 +154,6 @@
 	
 	if (!$core->error->flag()) {
-		http::redirect($p_url.'&neworder=1');
+		dcPage::addSuccessNotice(__('Items order has been successfully updated'));
+		http::redirect($p_url);
 	}
 }
@@ -182,27 +189,6 @@
 			html::escapeHTML($core->blog->name) => '',
 			__('Blogroll') => ''
-		));
-?>
-
-<?php
-if (!empty($_GET['neworder'])) {
-	dcPage::success(__('Items order has been successfully updated'));
-}
-
-if (!empty($_GET['removed'])) {
-	dcPage::success(__('Items have been successfully removed.'));
-}
-
-if (!empty($_GET['addlink'])) {
-	dcPage::success(__('Link has been successfully created.'));
-}
-
-if (!empty($_GET['addcat'])) {
-	dcPage::success(__('category has been successfully created.'));
-}
-
-if (!empty($_GET['importlinks'])) {
-	dcPage::success(__('links have been successfully imported.'));
-}
+		)).
+		dcPage::notices();
 ?>
 
Index: plugins/blowupConfig/index.php
===================================================================
--- plugins/blowupConfig/index.php	(revision 2166)
+++ plugins/blowupConfig/index.php	(revision 2256)
@@ -199,6 +199,7 @@
 		$core->blog->settings->themes->put('blowup_style',serialize($blowup_user));
 		$core->blog->triggerBlog();
-
-		http::redirect($p_url.'&upd=1');
+		
+		dcPage::addSuccessNotice(__('Theme configuration has been successfully updated.'));
+		http::redirect($p_url);
 	}
 	catch (Exception $e)
@@ -232,5 +233,5 @@
 		__('Blog appearance') => 'blog_theme.php',
 		__('Blowup configuration') => ''
-	));
+	)).dcPage::notices();
 
 echo
@@ -241,8 +242,4 @@
 	dcPage::message(__('For the following reasons, images cannot be created. You won\'t be able to change some background properties.').
 		$notices,false,true);
-}
-
-if (!empty($_GET['upd'])) {
-	dcPage::success(__('Theme configuration has been successfully updated.'));
 }
 
Index: plugins/importExport/index.php
===================================================================
--- plugins/importExport/index.php	(revision 2249)
+++ plugins/importExport/index.php	(revision 2256)
@@ -79,5 +79,6 @@
 			$title => $p_url,
 			html::escapeHTML($module->name) => ''
-		));
+		)).
+		dcPage::notices();
 
 	echo
@@ -93,5 +94,6 @@
 			__('Plugins') => '',
 			$title => ''
-		));
+		)).
+		dcPage::notices();
 
 	echo '<h3>'.__('Import').'</h3>'.listImportExportModules($core,$modules['import']);
Index: plugins/pages/class.actionpage.php
===================================================================
--- plugins/pages/class.actionpage.php	(revision 2169)
+++ plugins/pages/class.actionpage.php	(revision 2256)
@@ -80,5 +80,7 @@
 			
 		}
-		$ap->redirect(false,array('reo'=>1));
+		
+		dcPage::addSuccessNotice(__('Selected pages have been successfully reordered.'));
+		$ap->redirect(false);
 	}	
 }
Index: plugins/pages/list.php
===================================================================
--- plugins/pages/list.php	(revision 2250)
+++ plugins/pages/list.php	(revision 2256)
@@ -72,5 +72,5 @@
 		html::escapeHTML($core->blog->name) => '',
 		__('Pages') => ''
-	));
+	)).dcPage::notices();
 
 if (!empty($_GET['upd'])) {
Index: plugins/pings/index.php
===================================================================
--- plugins/pings/index.php	(revision 2166)
+++ plugins/pings/index.php	(revision 2256)
@@ -36,5 +36,6 @@
 		$core->blog->settings->pings->put('pings_active',!empty($_POST['pings_active']),null,null,true,true);
 		$core->blog->settings->pings->put('pings_uris',serialize($pings_uris),null,null,true,true);
-		http::redirect($p_url.'&up=1');
+		dcPage::addSuccessNotice(__('Settings have been successfully updated.'));
+		http::redirect($p_url);
 	}
 }
@@ -57,8 +58,4 @@
 		__('Pings configuration') => ''
 	));
-
-if (!empty($_GET['up'])) {
-	dcPage::success(__('Settings have been successfully updated.'));
-}
 
 echo
Index: plugins/simpleMenu/index.php
===================================================================
--- plugins/simpleMenu/index.php	(revision 2251)
+++ plugins/simpleMenu/index.php	(revision 2256)
@@ -217,5 +217,6 @@
 				
 					// All done successfully, return to menu items list
-					http::redirect($p_url.'&added=1');
+					dcPage::addSuccessNotice(__('Menu item has been successfully added.'));
+					http::redirect($p_url);
 				} else {
 					throw new Exception(__('Label and URL of menu item are mandatory.'));
@@ -252,5 +253,6 @@
 				
 				// All done successfully, return to menu items list
-				http::redirect($p_url.'&removed=1');
+				dcPage::addSuccessNotice(__('Menu items have been successfully removed.'));
+				http::redirect($p_url);
 			} else {
 				throw new Exception(__('No menu items selected.'));
@@ -286,5 +288,6 @@
 
 			// All done successfully, return to menu items list
-			http::redirect($p_url.'&updated=1');
+			dcPage::addSuccessNotice(__('Menu items have been successfully updated.'));
+			http::redirect($p_url);
 		}
 		catch (Exception $e) {
@@ -323,5 +326,6 @@
 
 			// All done successfully, return to menu items list
-			http::redirect($p_url.'&neworder=1');
+			dcPage::addSuccessNotice(__('Menu items have been successfully updated.'));
+			http::redirect($p_url);
 		} 
 		catch (Exception $e) {
@@ -379,5 +383,6 @@
 		array(
 			'hl_pos' => -2)
-	);
+	).
+	dcPage::notices();
 } else {
 	echo dcPage::breadcrumb(
@@ -385,18 +390,6 @@
 			html::escapeHTML($core->blog->name) => '',
 			$page_title => ''
-		));
-}
-
-if (!empty($_GET['added'])) {
-	dcPage::success(__('Menu item has been successfully added.'));
-}
-if (!empty($_GET['removed'])) {
-	dcPage::success(__('Menu items have been successfully removed.'));
-}
-if (!empty($_GET['neworder'])) {
-	dcPage::success(__('Menu items have been successfully updated.'));
-}
-if (!empty($_GET['updated'])) {
-	dcPage::success(__('Menu items have been successfully updated.'));
+		)).
+		dcPage::notices();
 }
 if ($step)
Index: plugins/tags/_admin.php
===================================================================
--- plugins/tags/_admin.php	(revision 2234)
+++ plugins/tags/_admin.php	(revision 2256)
@@ -140,5 +140,12 @@
 				}
 			}
-			$ap->redirect(true,array('upd' => 1));
+			dcPage::addSuccessNotice(sprintf(
+				__(
+					'Tag has been successfully added to selected entries',
+					'Tags have been successfully added to selected entries',
+					count($tags))
+				)
+			);
+			$ap->redirect(true);
 		} 
 		else 
@@ -205,5 +212,12 @@
 				}
 			}
-			$ap->redirect(true,array('upd' => 1));
+			dcPage::addSuccessNotice(sprintf(
+				__(
+					'Tag has been successfully removed from selected entries',
+					'Tags have been successfully removed from selected entries',
+					count($_POST['meta_id']))
+				)
+			);
+			$ap->redirect(true);
 		}
 		else
Index: plugins/tags/tag_posts.php
===================================================================
--- plugins/tags/tag_posts.php	(revision 2166)
+++ plugins/tags/tag_posts.php	(revision 2256)
@@ -26,5 +26,6 @@
 	try {
 		if ($core->meta->updateMeta($tag,$new_id,'tag')) {
-			http::redirect($p_url.'&m=tag_posts&tag='.$new_id.'&renamed=1');
+			dcPage::addSuccessNotice(__('Tag has been successfully renamed'));
+			http::redirect($p_url.'&m=tag_posts&tag='.$new_id);
 		}
 	} catch (Exception $e) {
@@ -38,5 +39,6 @@
 	try {
 		$core->meta->delMeta($tag,'tag');
-		http::redirect($p_url.'&m=tags&del=1');
+		dcPage::addSuccessNotice(__('Tag has been successfully removed'));
+		http::redirect($p_url.'&m=tags');
 	} catch (Exception $e) {
 		$core->error->add($e->getMessage());
@@ -92,12 +94,9 @@
 		__('Tags') => $p_url.'&amp;m=tags',
 		__('Tag').' &ldquo;'.html::escapeHTML($tag).'&rdquo;' => ''
-	));
+	)).
+	dcPage::notices();
 ?>
 
 <?php
-if (!empty($_GET['renamed'])) {
-	dcPage::success(__('Tag has been successfully renamed'));
-}
-
 echo '<p><a class="back" href="'.$p_url.'&amp;m=tags">'.__('Back to tags list').'</a></p>';
 
Index: plugins/tags/tags.php
===================================================================
--- plugins/tags/tags.php	(revision 2166)
+++ plugins/tags/tags.php	(revision 2256)
@@ -25,11 +25,9 @@
 		html::escapeHTML($core->blog->name) => '',
 		__('Tags') => ''
-	));
+	)).
+	dcPage::notices();
 ?>
 
 <?php
-if (!empty($_GET['del'])) {
-	dcPage::message(__('Tag has been successfully removed'));
-}
 
 $tags = $core->meta->getMetadata(array('meta_type' => 'tag'));
Index: plugins/themeEditor/index.php
===================================================================
--- plugins/themeEditor/index.php	(revision 2166)
+++ plugins/themeEditor/index.php	(revision 2256)
@@ -92,5 +92,6 @@
 		__('Blog appearance') => 'blog_theme.php',
 		__('Edit theme files') => ''
-	));
+	)).
+	dcPage::notices();
 ?>
 
Index: plugins/userPref/index.php
===================================================================
--- plugins/userPref/index.php	(revision 2254)
+++ plugins/userPref/index.php	(revision 2256)
@@ -36,5 +36,6 @@
 		}
 		
-		http::redirect($p_url.'&upd=1');
+		dcPage::addSuccessNotice(__('Preferences successfully updated'));
+		http::redirect($p_url);
 	}
 	catch (Exception $e)
@@ -58,5 +59,6 @@
 		}
 		
-		http::redirect($p_url.'&upd=1&part=global');
+		dcPage::addSuccessNotice(__('Preferences successfully updated'));
+		http::redirect($p_url.'&part=global');
 	}
 	catch (Exception $e)
@@ -116,13 +118,7 @@
 		html::escapeHTML($core->auth->userID()) => '',
 		__('user:preferences') => ''
-	));
-
-if (!empty($_GET['upd'])) {
-	dcPage::success(__('Preferences successfully updated'));
-}
-
-if (!empty($_GET['upda'])) {
-	dcPage::success(__('Preferences definition successfully updated'));
-}
+	)).
+	dcPage::notices();
+
 ?>
 
Index: plugins/widgets/index.php
===================================================================
--- plugins/widgets/index.php	(revision 2166)
+++ plugins/widgets/index.php	(revision 2256)
@@ -191,5 +191,6 @@
 		html::escapeHTML($core->blog->name) => '',
 		__('Widgets') => ''
-	));
+	)).
+	dcPage::notices();
 
 # All widgets
